Get licenses
GET
/v3/licenses
const url = 'https://example.com/v3/licenses?order_by=id&sort_order=asc&limit=100&page=1';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v3/licenses?order_by=id&sort_order=asc&limit=100&page=1' \ --header 'X-API-Key: <X-API-Key>'Provides a list of licenses
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” order_by
sort_order
limit
Limit
Change the number of results returned. e.g. limit=100 will return up to 100 results
integer
Change the number of results returned. e.g. limit=100 will return up to 100 results
page
Page
Paginate through results. e.g. page=1 will return first page of results
integer
Paginate through results. e.g. page=1 will return first page of results
Responses
Section titled “ Responses ”Successful Response
Media type application/json
LicensesResponse
object
meta
results
required
Results
Array<object>
Licenseobject
id
required
Id
integer
name
required
Name
string
commercialUseAllowed
required
Commercialuseallowed
boolean
attributionRequired
required
Attributionrequired
boolean
shareAlikeRequired
required
Sharealikerequired
boolean
modificationAllowed
required
Modificationallowed
boolean
redistributionAllowed
required
Redistributionallowed
boolean
sourceUrl
required
Sourceurl
string
Example
{ "meta": { "name": "openaq-api", "website": "/", "page": 1, "limit": 100 }}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}